Subject: Re: [PATCH v2 2/2] repo: add --all to git-repo-info

From: Junio C Hamano <[email-masked]>
Date: Tue, 21 Oct 2025 06:44:05 -0700

Patrick Steinhardt <[email-masked]> writes:

>> +`info [--format=(keyvalue|nul)] [-z] [--all | <key>...]`::
> ...
> The synopsis now disagrees with the new behaviour, as it looks as if you
> can pick either "--all" or a set of keys. But we now support both at the
> same time.
>
> I know Junio mentioned this as one of the ways this may operate, and
> said that accepting both is the "most logical". I personally don't quite
> agree, and think that having it be either or is a bit saner. After all,
> what is the use case for listing specific keys twice? I cannot really
> see why one would ever want that. So I think we should accept either
> `--all` or keys, and die if they are used in combination.

Yup, unless we declare that the order of output is unspecified when
"--all" is used (regardless of the presense of explicitly given
keys), it would become awkweard to define the output behaviour.  So
I am OK to make the command behave as specified in the synopsis
section.

Thanks.